package cn.com.countrygarden.bi.main.service.personnel;

import java.util.List;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.personnel.PersonnelAssessmentDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.personnel.Personnel;
/**
 * 人才信息-业务逻辑层
 *
 * @author 李森林
 * @email www.justintoforest@gamail.com
 * @url www.yuhi.com.cn
 * @date 2018-07-10
 */
public interface PersonnelService {
	/**
	 * 根据身份证查找些用户是否存在
	 * @param bdid
	 * @return
	 */
	Result bdpsndoc(String bdid) ;

    Result queryPageList(Personnel personnel, int page, int size);

    Result queryById(Integer id);

    Result add(Personnel personnel, AccessToken accessToken);

    Result edit(Personnel personnel, AccessToken accessToken);

    Result del(Integer id);

    Result selectByUserIdOrName(String search,AccessToken accessToken);

    Result selectInfoByUid(String name, String identity, int page, int size);

    Result selectUid(String uid);

    Result personInfoCodeOrId(String search);


    Result queryadByUid(String search,AccessToken accessToken);

    Result selectUidList(String uid);


    List<PersonnelAssessmentDTO> find270Info(String uid);
}